package com.fs.course.service;

import com.fs.course.domain.FsMessTemp;

import java.util.List;

/**
 * 群发模板Service接口
 *
 * @author fs
 * @date 2025-01-09
 */
public interface IFsMessTempService
{
    /**
     * 查询群发模板
     *
     * @param id 群发模板主键
     * @return 群发模板
     */
    public FsMessTemp selectFsMessTempById(Long id);

    /**
     * 查询群发模板列表
     *
     * @param fsMessTemp 群发模板
     * @return 群发模板集合
     */
    public List<FsMessTemp> selectFsMessTempList(FsMessTemp fsMessTemp);

    /**
     * 新增群发模板
     *
     * @param fsMessTemp 群发模板
     */
    public void insertFsMessTemp(FsMessTemp fsMessTemp);

    /**
     * 修改群发模板
     *
     * @param fsMessTemp 群发模板
     * @return 结果
     */
    public int updateFsMessTemp(FsMessTemp fsMessTemp);

    /**
     * 批量删除群发模板
     *
     * @param ids 需要删除的群发模板主键集合
     * @return 结果
     */
    public int deleteFsMessTempByIds(Long[] ids);

    /**
     * 删除群发模板信息
     *
     * @param id 群发模板主键
     * @return 结果
     */
    public int deleteFsMessTempById(Long id);
}
